Get the key of the current element

- « RecursiveTreeIterator::getPrefix

- RecursiveTreeIterator::next »

- PHP Manual
- RecursiveTreeIterator
- Get the key of the current element

# RecursiveTreeIterator::key

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

RecursiveTreeIterator::key — Get the key of the current element

### Description

public RecursiveTreeIterator::key(): mixed

Gets the current key prefixed and postfixed.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

Returns the current key prefixed and postfixed.